unit prev;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WebPrint, ExtCtrls, StdCtrls, Buttons;

type
  TPreview = class(TForm)
    Panel1: TPanel;
    WebPreview1: TWebPreview;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    ComboBox1: TComboBox;
    Button1: TButton;
    Panel2: TPanel;
    Label1: TLabel;
    procedure ComboBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Preview: TPreview;

implementation

{$R *.DFM}

procedure TPreview.ComboBox1Click(Sender: TObject);
begin
     WebPreview1.Zoom := StrToInt(ComboBox1.Items[Combobox1.ItemIndex]);
end;

procedure TPreview.FormCreate(Sender: TObject);
begin
     Combobox1.ItemIndex := 2;
end;

procedure TPreview.FormShow(Sender: TObject);
begin
Panel2.Caption := 'Page ' + IntToStr(Webpreview1.WebPrinter.PageNumber) +
                  ' of ' + IntToStr(Webpreview1.WebPrinter.PageCount);
end;

procedure TPreview.SpeedButton2Click(Sender: TObject);
begin
     if WebPreview1.PageNumber < WebPreview1.WebPrinter.PageCount then
        WebPreview1.PageNumber := WebPreview1.PageNumber + 1;
Panel2.Caption := 'Page ' + IntToStr(Webpreview1.WebPrinter.PageNumber) +
                  ' of ' + IntToStr(Webpreview1.WebPrinter.PageCount);
end;

procedure TPreview.SpeedButton1Click(Sender: TObject);
begin
     if WebPreview1.PageNumber > 1 then
        WebPreview1.PageNumber := WebPreview1.PageNumber - 1;
Panel2.Caption := 'Page ' + IntToStr(Webpreview1.WebPrinter.PageNumber) +
                  ' of ' + IntToStr(Webpreview1.WebPrinter.PageCount);
end;

end.
